public static interface ChatScriptEndpointBuilderFactory.ChatScriptBuilders
| Modifier and Type | Method and Description |
|---|---|
default ChatScriptEndpointBuilderFactory.ChatScriptEndpointBuilder |
chatscript(String path)
ChatScript (camel-chatscript)
Chat with a ChatScript Server.
|
default ChatScriptEndpointBuilderFactory.ChatScriptEndpointBuilder |
chatscript(String componentName,
String path)
ChatScript (camel-chatscript)
Chat with a ChatScript Server.
|
default ChatScriptEndpointBuilderFactory.ChatScriptEndpointBuilder chatscript(String path)
chatscript:host:port/botName
Path parameter: host (required)
Hostname or IP of the server on which CS server is running
Path parameter: port
Port on which ChatScript is listening to
Default value: 1024
Path parameter: botName (required)
Name of the Bot in CS to converse withpath - host:port/botNamedefault ChatScriptEndpointBuilderFactory.ChatScriptEndpointBuilder chatscript(String componentName, String path)
chatscript:host:port/botName
Path parameter: host (required)
Hostname or IP of the server on which CS server is running
Path parameter: port
Port on which ChatScript is listening to
Default value: 1024
Path parameter: botName (required)
Name of the Bot in CS to converse withcomponentName - to use a custom component name for the endpoint
instead of the default namepath - host:port/botNameApache Camel